import 'package:vegigo2_ui_common/error/failures.dart';
import 'package:vegigo2_ui_common/error/messages.dart';

class BlocUtil {
  static String mapFailureToMessage(Failure failure) {
    switch (failure.runtimeType) {
      case ServerFailure:
        return SERVER_FAILURE_MESSAGE;
      case CacheFailure:
        return CACHE_FAILURE_MESSAGE;
      default:
        return UNEXPECTED_ERROR;
    }
  }
}